apiVersion: network.openstack.org/v1beta1
kind: NetConfig
metadata:
  name: openstacknetconfig
  namespace: openstack
spec:
  networks:
  - name: ctlplane 
    dnsDomain: ctlplane.ooo.demo.local
    subnets: 
    - name: subnet1 
      allocationRanges: 
      - end: 172.16.29.250
        start: 172.16.29.181
      cidr: 172.16.29.0/24
      gateway: 172.16.29.1
  - name: internalapi
    dnsDomain: internalapi.ooo.demo.local
    subnets:
    - name: subnet1
      allocationRanges:
      - end: 172.16.31.250
        start: 172.16.31.181
      cidr: 172.16.31.0/24
      vlan: 31
  - name: external
    dnsDomain: external.ooo.demo.local
    subnets:
    - name: subnet1
      allocationRanges:
      - end: 172.16.28.250
        start: 172.16.28.181
      cidr: 172.16.28.0/24
      gateway: 172.16.28.1
      vlan: 28
  - name: storage
    dnsDomain: storage.ooo.demo.local
    subnets:
    - name: subnet1
      allocationRanges:
      - end: 172.16.32.250
        start: 172.16.32.181
      cidr: 172.16.32.0/24
      vlan: 32
#  - name: StorageMgmt
#    dnsDomain: storagemgmt.example.com
#    subnets:
#    - name: subnet1
#      allocationRanges:
#      - end: 172.20.0.250
#        start: 172.20.0.100
#      cidr: 172.20.0.0/24
#      vlan: 23
  - name: tenant
    dnsDomain: tenant.ooo.demo.local
    subnets:
    - name: subnet1
      allocationRanges:
      - end: 172.16.33.250
        start: 172.16.33.181
      cidr: 172.16.33.0/24
      vlan: 33
